## qttools-opensource-src 5.3.1

=== debian/changelog ===
qttools-opensource-src (5.3.1-3) unstable; urgency=medium

  * Update symbols files with buildds' and mips64el's logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 16 Jul 2014 14:45:50 -0300

qttools-opensource-src (5.3.1-2) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Move designer plugins that are built from examples/designer back
    to qttools5-examples package. Only plugins that are built from
    src/designer/src/plugins remain in qttools5-dev-tools package
    (really closes: #749336).

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Update symbols files with buildds' and mips64el's logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 13 Jul 2014 15:16:30 -0300

qttools-opensource-src (5.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols files with buildds' logs.
  * Bump Qt build depends.
  * Fix install files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 30 Jun 2014 11:07:52 -0300

=== debian/control ===
Source: qttools-opensource-src
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Sune Vuorela <debian@pusling.com>,
           Pino Toscano <pino@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Felix Geyer <fgeyer@debian.org>,
           Timo Jyrinki <timo@debian.org>,
           Dmitry Shachnev <mitya57@gmail.com>
Build-Depends: debhelper (>= 9),
               libqt5opengl5-dev (>= 5.3.1+dfsg-2~),
               libqt5sql5-sqlite (>= 5.3.1+dfsg-2~),
               libqt5webkit5-dev (>= 5.3.1+dfsg~),
               pkg-kde-tools,
               qtbase5-private-dev (>= 5.3.1+dfsg-2~),
               qtdeclarative5-private-dev (>= 5.3.1-1~),
               zlib1g-dev
Build-Depends-Indep: qtbase5-doc-html (>= 5.3.1+dfsg-2~),
                     qtdeclarative5-doc-html (>= 5.3.1~),
                     qtscript5-doc-html (>= 5.3.1~),
                     qtwebkit5-doc-html (>= 5.3.1+dfsg~),
                     qtxmlpatterns5-doc-html (>= 5.3.1~)
Standards-Version: 3.9.5
Homepage: http://qt-project.org/
Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qttools.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qttools.git

Package: libqt5clucene5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 CLucene module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package includes the CLucene module. CLucene is a high-performance,
 scalable indexing and searching API.

Package: libqt5designer5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 designer module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtDesigner module provides classes that allow you to create your own
 custom widget plugins for Qt Designer, and classes that enable you to access
 Qt Designer's components.

Package: libqt5designercomponents5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Designer components module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package includes components for the Qt 5 Designer module.

Package: qdbus-qt5
Architecture: any
Section: utils
Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 D-Bus tool
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains qdbus, a command-line tool interface to D-Bus that uses
 the QtDBus library.

Package: libqt5help5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 help module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtHelp module provides classes for integrating online documentation in
 applications.

Package: qttools5-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt5clucene5 (= ${binary:Version}),
         libqt5designer5 (= ${binary:Version}),
         libqt5designercomponents5 (= ${binary:Version}),
         libqt5help5 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends}
Description: Qt 5 tools development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 5
 applications.

Package: qttools5-private-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: qttools5-dev (= ${binary:Version}), ${misc:Depends}
Breaks: qttools5-dev (<< 5.2.0-3~)
Replaces: qttools5-dev (<< 5.2.0-3~)
Description: Qt 5 tools private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains private header development files.
 .
 Use at your own risk.

Package: qttools5-dev-tools
Architecture: any
Section: devel
Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
Recommends: libqt5sql5-sqlite
Breaks: qttools5-examples (<< 5.3.0-4~)
Replaces: qttools5-examples (<< 5.3.0-4~)
Description: Qt 5 development tools
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a set of applications to browse the documentation,
 translate applications, generate help files and other stuff that
 helps in Qt development. These tools are among others:
  * assistant
  * designer
  * linguist
  * pixeltool
  * qdbusviewer

Package: qttools5-examples
Architecture: any
Multi-Arch: same
Section: x11
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: qttools5-dev-tools (<< 5.3.1-2~)
Replaces: qttools5-dev-tools (<< 5.3.1-2~)
Description: Qt 5 tools examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains examples of the Qt 5 tools module.

Package: qttools5-dbg
Architecture: any
Multi-Arch: same
Priority: extra
Section: debug
Depends: libqt5clucene5 (= ${binary:Version}),
         libqt5designer5 (= ${binary:Version}),
         libqt5designercomponents5 (= ${binary:Version}),
         libqt5help5 (= ${binary:Version}),
         ${misc:Depends}
Description: Qt 5 tools debugging symbols
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the debugging symbols for the Qt 5 tools and tools
 libraries.

Package: qttools5-examples-dbg
Architecture: any
Multi-Arch: same
Priority: extra
Section: debug
Depends: qttools5-dbg (= ${binary:Version}),
         qttools5-examples (= ${binary:Version}),
         ${misc:Depends}
Description: Qt 5 tools examples debugging symbols
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the debugging symbols for the Qt 5 tools examples.

Package: qtbase5-doc
Priority: extra
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt 5 base documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 5 base libraries.

Package: qtdeclarative5-doc
Priority: extra
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt 5 declarative documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 5 declarative libraries.

Package: qtscript5-doc
Priority: extra
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt 5 script documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 5 script libraries.

Package: qttools5-doc
Priority: extra
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt 5 tools documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 5 tools libraries
 and binaries.

Package: qttools5-doc-html
Priority: extra
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt 5 tools HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 5 tools
 libraries and binaries.

Package: qtxmlpatterns5-doc
Priority: extra
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt 5 XML patterns documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 5 XML patterns
 libraries.

Package: qtwebkit5-doc
Priority: extra
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt 5 webkit documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 5 webkit libraries.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export QT_SELECT := qt5

%:
	dh $@ --with pkgkde_symbolshelper --parallel

# We override qmake until https://bugreports.qt-project.org/browse/QTBUG-30735
# gets solved (FTBFS with -nocache).
override_dh_auto_configure:
	qmake 

override_dh_auto_clean:
	dh_auto_clean
	rm -fv .qmake.cache

override_dh_auto_build-arch:
	# This override may seem futile, but it helps us make sure that the tools
	# needed for building the docs are built before calling them.
	# If there's a better way, do not heasitate to tell us.
	dh_auto_build
	make qmake_all

override_dh_auto_build-indep:
	dh_auto_build -Smakefile -- docs

override_dh_auto_install-arch:
	dh_auto_install
	
	# Remove libtool-like files
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
	
	# Fix wrong path in pkgconfig files
	find $(CURDIR)/debian/tmp/usr/lib/*/pkgconfig -type f -name '*.pc' \
	-exec sed -i -e 's/$(DEB_HOST_MULTIARCH)\/$(DEB_HOST_MULTIARCH)/$(DEB_HOST_MULTIARCH)/g' {} \;

override_dh_auto_install-indep:
	make INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs
	set -ex; for subdir in qdoc qmake qtconcurrent qtcore qtdbus qtgui qtnetwork \
	                       qtopengl qtprintsupport qtscript qtscripttools qtsql \
	                       qttestlib qtwidgets qtxml qtqml qtquick \
	                       qtxmlpatterns qtwebkit; do \
		LD_LIBRARY_PATH=$(CURDIR)/lib $(CURDIR)/bin/qhelpgenerator \
			/usr/share/qt5/doc/$$subdir/$$subdir.qhp -o \
			$(CURDIR)/debian/tmp/usr/share/qt5/doc/$$subdir.qch; \
	done

override_dh_install:
	dh_install --fail-missing

override_dh_installdocs-indep:
	dh_installdocs -i
	# Use the correct copyright in external -doc packages
	for source in qtbase5 qtdeclarative5 qtscript5 qtxmlpatterns5 qtwebkit5; do \
		rm -v debian/$$source-doc/usr/share/doc/$$source-doc/copyright; \
		cp /usr/share/doc/$$source-doc-html/copyright \
			debian/$$source-doc/usr/share/doc/$$source-doc/; \
	done
	cp /usr/share/doc/qtbase5-doc-html/LGPL_EXCEPTION.txt \
		debian/qtbase5-doc/usr/share/doc/qtbase5-doc/

override_dh_strip:
	dh_strip -pqttools5-examples --dbg-package=qttools5-examples-dbg
	dh_strip --remaining-packages --dbg-package=qttools5-dbg

## qttools-opensource-src 5.3.2

=== debian/changelog ===
qttools-opensource-src (5.3.2-3) unstable; urgency=medium

  * Remove all CMake files for plugins, we should not be shipping them. They
    are only useful for people building their own installers.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 24 Sep 2014 17:46:39 -0300

qttools-opensource-src (5.3.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 22 Sep 2014 10:28:20 -0300

qttools-opensource-src (5.3.2-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Fix a typo in debian/rules.
  * Update my e-mail address.
  * Update Vcs-Browser field to point to cgit interface.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
  * Bump Qt build dependencies.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 17 Sep 2014 12:56:33 -0300

=== debian/control ===
--- 
+++ 
@@ -9,24 +9,24 @@
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Felix Geyer <fgeyer@debian.org>,
            Timo Jyrinki <timo@debian.org>,
-           Dmitry Shachnev <mitya57@gmail.com>
+           Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper (>= 9),
-               libqt5opengl5-dev (>= 5.3.1+dfsg-2~),
-               libqt5sql5-sqlite (>= 5.3.1+dfsg-2~),
-               libqt5webkit5-dev (>= 5.3.1+dfsg~),
+               libqt5opengl5-dev (>= 5.3.2+dfsg~),
+               libqt5sql5-sqlite (>= 5.3.2+dfsg~),
+               libqt5webkit5-dev (>= 5.3.2+dfsg~),
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.3.1+dfsg-2~),
-               qtdeclarative5-private-dev (>= 5.3.1-1~),
+               qtbase5-private-dev (>= 5.3.2+dfsg~),
+               qtdeclarative5-private-dev (>= 5.3.2~),
                zlib1g-dev
-Build-Depends-Indep: qtbase5-doc-html (>= 5.3.1+dfsg-2~),
-                     qtdeclarative5-doc-html (>= 5.3.1~),
-                     qtscript5-doc-html (>= 5.3.1~),
-                     qtwebkit5-doc-html (>= 5.3.1+dfsg~),
-                     qtxmlpatterns5-doc-html (>= 5.3.1~)
+Build-Depends-Indep: qtbase5-doc-html (>= 5.3.2+dfsg~),
+                     qtdeclarative5-doc-html (>= 5.3.2~),
+                     qtscript5-doc-html (>= 5.3.2~),
+                     qtwebkit5-doc-html (>= 5.3.2+dfsg~),
+                     qtxmlpatterns5-doc-html (>= 5.3.2~)
 Standards-Version: 3.9.5
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qttools.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qttools.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qttools.git
 
 Package: libqt5clucene5
 Architecture: any
@@ -145,8 +145,6 @@
 Section: x11
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: qttools5-dev-tools (<< 5.3.1-2~)
-Replaces: qttools5-dev-tools (<< 5.3.1-2~)
 Description: Qt 5 tools examples
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 override_dh_auto_build-arch:
 	# This override may seem futile, but it helps us make sure that the tools
 	# needed for building the docs are built before calling them.
-	# If there's a better way, do not heasitate to tell us.
+	# If there's a better way, do not hesitate to tell us.
 	dh_auto_build
 	make qmake_all
 
@@ -37,6 +37,9 @@
 	
 	# Remove libtool-like files
 	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
+
+	# Remove CMake files for plugins.
+	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt5Designer/*Plugin.cmake
 	
 	# Fix wrong path in pkgconfig files
 	find $(CURDIR)/debian/tmp/usr/lib/*/pkgconfig -type f -name '*.pc' \

## qttools-opensource-src 5.4.1

=== debian/changelog ===
qttools-opensource-src (5.4.1-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * New upstream release.
  * Update debian/watch to use https://download.qt.io/.
  * Update debian/copyright.
  * Symbols files:
    - Add support for powerpcspe (closes: #771913).
    - Mark symbols missing with GCC 5 as optional (closes: #778095).
    - Remove references to ia64 and s390 (build logs are no longer available).
    - Remove references to sparc, Qt is not built there for a while.
  * Bump Qt build-dependencies to 5.4.1.

  [ Rohan Garg ]
  * Make sure we build depend on libdouble-conversion-dev, required
    by the linker.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 03 Mar 2015 14:39:16 +0300

qttools-opensource-src (5.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.4.0.
  * debian/copyright:
    - Update for LGPL v3 addition, and use correct syntax for exceptions.
    - Make Unicode data license text readable, and give it a short name
      without spaces (MIT-Unicode).
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 21 Dec 2014 13:52:48 +0300

=== debian/control ===
--- 
+++ 
@@ -11,19 +11,20 @@
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper (>= 9),
-               libqt5opengl5-dev (>= 5.3.2+dfsg~),
-               libqt5sql5-sqlite (>= 5.3.2+dfsg~),
-               libqt5webkit5-dev (>= 5.3.2+dfsg~),
+               libdouble-conversion-dev,
+               libqt5opengl5-dev (>= 5.4.1+dfsg~),
+               libqt5sql5-sqlite (>= 5.4.1+dfsg~),
+               libqt5webkit5-dev (>= 5.4.1+dfsg~),
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.3.2+dfsg~),
-               qtdeclarative5-private-dev (>= 5.3.2~),
+               qtbase5-private-dev (>= 5.4.1+dfsg~),
+               qtdeclarative5-private-dev (>= 5.4.1~),
                zlib1g-dev
-Build-Depends-Indep: qtbase5-doc-html (>= 5.3.2+dfsg~),
-                     qtdeclarative5-doc-html (>= 5.3.2~),
-                     qtscript5-doc-html (>= 5.3.2~),
-                     qtwebkit5-doc-html (>= 5.3.2+dfsg~),
-                     qtxmlpatterns5-doc-html (>= 5.3.2~)
-Standards-Version: 3.9.5
+Build-Depends-Indep: qtbase5-doc-html (>= 5.4.1+dfsg~),
+                     qtdeclarative5-doc-html (>= 5.4.1~),
+                     qtscript5-doc-html (>= 5.4.1+dfsg~),
+                     qtwebkit5-doc-html (>= 5.4.1+dfsg~),
+                     qtxmlpatterns5-doc-html (>= 5.4.1~)
+Standards-Version: 3.9.6
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qttools.git
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qttools.git

## qttools-opensource-src 5.4.2

=== debian/changelog ===
qttools-opensource-src (5.4.2-3) unstable; urgency=medium

  * Update symbols files with buildds' logs.
  * Update symbols files with current build log against gcc5 (Closes: #791261).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 03 Aug 2015 23:19:15 -0300

qttools-opensource-src (5.4.2-2) unstable; urgency=medium

  * Upload to unstable.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 23 Jun 2015 17:16:46 -0300

qttools-opensource-src (5.4.2-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Add one new symbol to debian/libqt5help5.symbols.
  * Remove debian/copyright entry for arthurplugin example, which no
    longer exists.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump Qt build dependencies.
  * Clear up the list in Uploaders removing people who hasn't committed to the
    repo in more than a year. They can re add themselves whenever they want
    (and we really hope to see you back really soon!).
  * Update symbols files with buildds' logs.
  * Expose HTML documentation (Closes: #751185).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 03 Jun 2015 14:09:39 -0300

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Fathi Boudra <fabo@debian.org>,
-           Modestas Vainius <modax@debian.org>,
-           Sune Vuorela <debian@pusling.com>,
+Uploaders: Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Felix Geyer <fgeyer@debian.org>,
@@ -12,18 +10,18 @@
            Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper (>= 9),
                libdouble-conversion-dev,
-               libqt5opengl5-dev (>= 5.4.1+dfsg~),
-               libqt5sql5-sqlite (>= 5.4.1+dfsg~),
-               libqt5webkit5-dev (>= 5.4.1+dfsg~),
+               libqt5opengl5-dev (>= 5.4.2+dfsg~),
+               libqt5sql5-sqlite (>= 5.4.2+dfsg~),
+               libqt5webkit5-dev (>= 5.4.2+dfsg~),
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.4.1+dfsg~),
-               qtdeclarative5-private-dev (>= 5.4.1~),
+               qtbase5-private-dev (>= 5.4.2+dfsg~),
+               qtdeclarative5-private-dev (>= 5.4.2~),
                zlib1g-dev
-Build-Depends-Indep: qtbase5-doc-html (>= 5.4.1+dfsg~),
-                     qtdeclarative5-doc-html (>= 5.4.1~),
-                     qtscript5-doc-html (>= 5.4.1+dfsg~),
-                     qtwebkit5-doc-html (>= 5.4.1+dfsg~),
-                     qtxmlpatterns5-doc-html (>= 5.4.1~)
+Build-Depends-Indep: qtbase5-doc-html (>= 5.4.2+dfsg~),
+                     qtdeclarative5-doc-html (>= 5.4.2~),
+                     qtscript5-doc-html (>= 5.4.2+dfsg~),
+                     qtwebkit5-doc-html (>= 5.4.2+dfsg~),
+                     qtxmlpatterns5-doc-html (>= 5.4.2~)
 Standards-Version: 3.9.6
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qttools.git

## qttools-opensource-src 5.5.1

=== tests/auto/cmake/CMakeLists.txt ===

# This is an automatic test for the CMake configuration files.
# To run it,
# 1) mkdir build   # Create a build directory
# 2) cd build
# 3) cmake ..      # Run cmake on this directory.
# 4) ctest         # Run ctest
#
# The expected output is something like:
#
#     Start 1: test_translation_macros
# 1/2 Test #1: test_translation_macros ..........   Passed    0.98 sec
#     Start 2: test_modules
# 2/2 Test #2: test_modules .....................   Passed    1.41 sec
#
# Note that if Qt is not installed, or if it is installed to a
# non-standard prefix, the environment variable CMAKE_PREFIX_PATH
# needs to be set to the installation prefix or build prefix of Qt
# before running these tests.


cmake_minimum_required(VERSION 2.8)

project(qmake_cmake_files)

enable_testing()

find_package(Qt5Core REQUIRED)

include("${_Qt5CTestMacros}")

if(NOT CMAKE_CROSSCOMPILING)
    expect_pass(test_translation_macros)
endif()

if (NOT NO_WIDGETS)
    test_module_includes(
      Designer QFormBuilder
      Help QHelpSearchQuery
      UiTools QUiLoader
    )

    expect_pass(test_uiplugin_via_designer)
    if (NOT CMAKE_VERSION VERSION_LESS 3.0)
        expect_pass(test_uiplugin_module)
    endif()
endif()

=== tests/auto/cmake/test_translation_macros/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

project(test_translation_macros)

find_package(Qt5Core 5.0.0 REQUIRED)
find_package(Qt5LinguistTools 5.0.0 REQUIRED)

include_directories(
  ${Qt5Core_INCLUDE_DIRS}
)

add_definitions(${Qt5Core_DEFINITIONS})

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Core_EXECUTABLE_COMPILE_FLAGS}")

set(my_srcs myi18nobject.cpp)

include_directories("${CMAKE_CURRENT_SOURCE_DIR}/some_dir")

qt5_create_translation(qm_files ${my_srcs} myobject_de.ts)

add_executable(myobject ${my_srcs} ${qm_files})
target_link_libraries(myobject ${Qt5Core_LIBRARIES})

=== debian/changelog ===
qttools-opensource-src (5.5.1-3ubuntu0.1) xenial; urgency=medium

  * QtUiTools: don't publicly depend on QtUiPlugin (LP: #1739955).
    - dont-publicly-depend-on-qtuiplugin.patch

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 28 Jan 2018 23:50:26 -0600

qttools-opensource-src (5.5.1-3build1) xenial; urgency=medium

  * Rebuild against Qt 5.5.1.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 30 Nov 2015 11:46:17 +0200

qttools-opensource-src (5.5.1-3) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Make arch-indep builds possible, by building qhelpgenerator before
    attempting to build docs.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 21 Oct 2015 16:38:52 -0300

qttools-opensource-src (5.5.1-2) experimental; urgency=medium

  * Re upload as source+all. We need to fix building all packages
    alone.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 17 Oct 2015 16:43:25 -0300

qttools-opensource-src (5.5.1-1) experimental; urgency=medium

  [ Felix Geyer ]
  * Move Qt5LinguistTools cmake files from -dev to -dev-tools package.
    (Closes: #793347)

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 17 Oct 2015 16:13:49 -0300

qttools-opensource-src (5.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.5.0.
  * Remove symbols missing with GCC 5 from libqt5designer5.symbols.
  * Update .install files for the new release.
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 24 Aug 2015 11:48:51 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qttools-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
@@ -10,18 +11,18 @@
            Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper (>= 9),
                libdouble-conversion-dev,
-               libqt5opengl5-dev (>= 5.4.2+dfsg~),
-               libqt5sql5-sqlite (>= 5.4.2+dfsg~),
-               libqt5webkit5-dev (>= 5.4.2+dfsg~),
+               libqt5opengl5-dev (>= 5.5.1+dfsg~),
+               libqt5sql5-sqlite (>= 5.5.1+dfsg~),
+               libqt5webkit5-dev (>= 5.5.1+dfsg~),
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.4.2+dfsg~),
-               qtdeclarative5-private-dev (>= 5.4.2~),
+               qtbase5-private-dev (>= 5.5.1+dfsg~),
+               qtdeclarative5-private-dev (>= 5.5.1~),
                zlib1g-dev
-Build-Depends-Indep: qtbase5-doc-html (>= 5.4.2+dfsg~),
-                     qtdeclarative5-doc-html (>= 5.4.2~),
-                     qtscript5-doc-html (>= 5.4.2+dfsg~),
-                     qtwebkit5-doc-html (>= 5.4.2+dfsg~),
-                     qtxmlpatterns5-doc-html (>= 5.4.2~)
+Build-Depends-Indep: qtbase5-doc-html (>= 5.5.1+dfsg~),
+                     qtdeclarative5-doc-html (>= 5.5.1~),
+                     qtscript5-doc-html (>= 5.5.1+dfsg~),
+                     qtwebkit5-doc-html (>= 5.5.1+dfsg~),
+                     qtxmlpatterns5-doc-html (>= 5.5.1~)
 Standards-Version: 3.9.6
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qttools.git
@@ -123,8 +124,8 @@
 Section: devel
 Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
 Recommends: libqt5sql5-sqlite
-Breaks: qttools5-examples (<< 5.3.0-4~)
-Replaces: qttools5-examples (<< 5.3.0-4~)
+Breaks: qttools5-examples (<< 5.3.0-4~), qttools5-dev (<< 5.5.0-2~)
+Replaces: qttools5-examples (<< 5.3.0-4~), qttools5-dev (<< 5.5.0-2~)
 Description: Qt 5 development tools
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

=== debian/rules ===
--- 
+++ 
@@ -22,14 +22,9 @@
 	dh_auto_clean
 	rm -fv .qmake.cache
 
-override_dh_auto_build-arch:
-	# This override may seem futile, but it helps us make sure that the tools
-	# needed for building the docs are built before calling them.
-	# If there's a better way, do not hesitate to tell us.
-	dh_auto_build
-	make qmake_all
-
 override_dh_auto_build-indep:
+	cd src/assistant; qmake; $(MAKE) sub-qhelpgenerator
+	cd src/assistant/help; qmake
 	dh_auto_build -Smakefile -- docs
 
 override_dh_auto_install-arch:

## qttools-opensource-src 5.6.1

=== debian/changelog ===
qttools-opensource-src (5.6.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 13 Jun 2016 10:21:01 -0300

qttools-opensource-src (5.6.1-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Bump Standards-Version to 3.9.8, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 10 Jun 2016 18:28:37 -0300

qttools-opensource-src (5.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Update symbols files from buildds’ logs.
  * Bump Qt build-dependencies to 5.6.0.
  * Drop no longer needed hack to fix wrong path in pkgconfig files.
  * Update debian/README.source with actual information.
  * Drop some pre-Jessie Breaks/Replaces.
  * Revert debian/watch to track final releases again.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 22 Mar 2016 22:29:03 +0100

qttools-opensource-src (5.6.0~rc-1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump Qt build-dependencies to 5.6.0~rc.
  * Re-enable QtWebKit support.
  * Use recommended https URIs for Vcs fields.
  * Update debian/libqt5clucene5.symbols from the current build log.
  * Bump Standards-Version to 3.9.7, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 06 Mar 2016 18:36:07 +0300

qttools-opensource-src (5.6.0~beta-2) experimental; urgency=medium

  * Add empty override_dh_auto_test-indep target (to prevent the whole qttools
    source from being compiled during indep builds).
  * Use dh_auto_build instead of plain make to parallelize the build.
  * Add Build-Depends-Package field to all symbols files.
  * Bump all symbols versions to 5.6.0~beta. Apps built against libraries from
    qttools 5.6 will not work with earlier versions of these libraries (as they
    will require Qt_5 version).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 07 Jan 2016 22:30:12 +0300

qttools-opensource-src (5.6.0~beta-1) experimental; urgency=medium

  * New upstream beta release.
  * Install upstream manpages for lrelease and lupdate.
  * Update debian/watch to track experimental releases (needs to be reverted
    before uploading 5.6.0 final).
  * Disable qtwebkit help viewer temporarily (until we get qtwebkit 5.6
    tarballs).
  * Bump other Qt build-dependencies to 5.6.0~beta.
  * Disable building qch documentation for base Qt modules in this source, as
    those modules can no longer provide the HTML documentation on their own.
  * Build qdoc before building docs.
  * Install qdoc documentation.
  * Update install files.
  * Add necessary Breaks/Replaces for qdoc move.
  * Update symbols files using migrate-symbols.py script.
  * Add some new symbols.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 07 Jan 2016 09:35:24 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: qttools-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
@@ -11,22 +10,18 @@
            Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper (>= 9),
                libdouble-conversion-dev,
-               libqt5opengl5-dev (>= 5.5.1+dfsg~),
-               libqt5sql5-sqlite (>= 5.5.1+dfsg~),
-               libqt5webkit5-dev (>= 5.5.1+dfsg~),
+               libqt5opengl5-dev (>= 5.6.1+dfsg~),
+               libqt5sql5-sqlite (>= 5.6.1+dfsg~),
+               libqt5webkit5-dev (>= 5.6.1+dfsg~),
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.5.1+dfsg~),
-               qtdeclarative5-private-dev (>= 5.5.1~),
+               qtbase5-private-dev (>= 5.6.1+dfsg~),
+               qtdeclarative5-private-dev (>= 5.6.1~),
                zlib1g-dev
-Build-Depends-Indep: qtbase5-doc-html (>= 5.5.1+dfsg~),
-                     qtdeclarative5-doc-html (>= 5.5.1~),
-                     qtscript5-doc-html (>= 5.5.1+dfsg~),
-                     qtwebkit5-doc-html (>= 5.5.1+dfsg~),
-                     qtxmlpatterns5-doc-html (>= 5.5.1~)
-Standards-Version: 3.9.6
+Build-Depends-Indep: qtbase5-doc-html (>= 5.6.1+dfsg~)
+Standards-Version: 3.9.8
 Homepage: http://qt-project.org/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qttools.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qttools.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qttools.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qttools.git
 
 Package: libqt5clucene5
 Architecture: any
@@ -109,8 +104,6 @@
 Multi-Arch: same
 Section: libdevel
 Depends: qttools5-dev (= ${binary:Version}), ${misc:Depends}
-Breaks: qttools5-dev (<< 5.2.0-3~)
-Replaces: qttools5-dev (<< 5.2.0-3~)
 Description: Qt 5 tools private development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -124,8 +117,10 @@
 Section: devel
 Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
 Recommends: libqt5sql5-sqlite
-Breaks: qttools5-examples (<< 5.3.0-4~), qttools5-dev (<< 5.5.0-2~)
-Replaces: qttools5-examples (<< 5.3.0-4~), qttools5-dev (<< 5.5.0-2~)
+Breaks: qtbase5-dev-tools (<< 5.6.0~),
+        qttools5-dev (<< 5.5.0-2~)
+Replaces: qtbase5-dev-tools (<< 5.6.0~),
+          qttools5-dev (<< 5.5.0-2~)
 Description: Qt 5 development tools
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -182,82 +177,30 @@
  .
  This package contains the debugging symbols for the Qt 5 tools examples.
 
-Package: qtbase5-doc
+Package: qttools5-doc
 Priority: extra
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
-Description: Qt 5 base documentation
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the documentation for the Qt 5 base libraries.
-
-Package: qtdeclarative5-doc
+Breaks: qtbase5-doc (<< 5.6.0~)
+Replaces: qtbase5-doc (<< 5.6.0~)
+Description: Qt 5 tools documentation
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the documentation for the Qt 5 tools libraries
+ and binaries.
+
+Package: qttools5-doc-html
 Priority: extra
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
-Description: Qt 5 declarative documentation
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the documentation for the Qt 5 declarative libraries.
-
-Package: qtscript5-doc
-Priority: extra
-Architecture: all
-Section: doc
-Depends: ${misc:Depends}
-Description: Qt 5 script documentation
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the documentation for the Qt 5 script libraries.
-
-Package: qttools5-doc
-Priority: extra
-Architecture: all
-Section: doc
-Depends: ${misc:Depends}
-Description: Qt 5 tools documentation
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the documentation for the Qt 5 tools libraries
- and binaries.
-
-Package: qttools5-doc-html
-Priority: extra
-Architecture: all
-Section: doc
-Depends: ${misc:Depends}
+Breaks: qtbase5-doc-html (<< 5.6.0~)
+Replaces: qtbase5-doc-html (<< 5.6.0~)
 Description: Qt 5 tools HTML documentation
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
  This package contains the HTML documentation for the Qt 5 tools
  libraries and binaries.
-
-Package: qtxmlpatterns5-doc
-Priority: extra
-Architecture: all
-Section: doc
-Depends: ${misc:Depends}
-Description: Qt 5 XML patterns documentation
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the documentation for the Qt 5 XML patterns
- libraries.
-
-Package: qtwebkit5-doc
-Priority: extra
-Architecture: all
-Section: doc
-Depends: ${misc:Depends}
-Description: Qt 5 webkit documentation
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the documentation for the Qt 5 webkit libraries.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export QT_SELECT := qt5

%:
	dh $@ --with pkgkde_symbolshelper --parallel

# We override qmake until https://bugreports.qt-project.org/browse/QTBUG-30735
# gets solved (FTBFS with -nocache).
override_dh_auto_configure:
	qmake 

override_dh_auto_clean:
	dh_auto_clean
	rm -fv .qmake.cache

override_dh_auto_build-indep:
	cd src; qmake
	dh_auto_build -- -Csrc sub-qdoc
	cd src/assistant; qmake
	dh_auto_build -- -Csrc/assistant sub-qhelpgenerator
	cd src/qdoc; qmake
	cd src/assistant/help; qmake
	dh_auto_build -- docs

override_dh_auto_install-arch:
	dh_auto_install
	
	# Remove libtool-like files
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

	# Remove CMake files for plugins.
	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt5Designer/*Plugin.cmake

override_dh_auto_install-indep:
	dh_auto_build -- INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs

override_dh_install:
	dh_install --fail-missing

override_dh_strip:
	dh_strip -pqttools5-examples --dbg-package=qttools5-examples-dbg
	dh_strip --remaining-packages --dbg-package=qttools5-dbg

override_dh_auto_test-indep:

## qttools-opensource-src 5.7.1

=== debian/changelog ===
qttools-opensource-src (5.7.1-1) unstable; urgency=medium

  * New upstream final release.
  * Update some links from qt-project.org to qt.io.
  * Bump qtbase and qtwebkit build-dependencies to 5.7.1 final.
  * Convert to automatic dbgsym packages.
  * Update symbols files from the current amd64 and i386 build logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 16 Dec 2016 22:20:52 +0300

qttools-opensource-src (5.7.1~20161021-2) unstable; urgency=medium

  * Release to unstable.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 01 Nov 2016 15:51:51 -0300

qttools-opensource-src (5.7.1~20161021-1) experimental; urgency=medium

  * New upstream snapshot.
    - Bump Qt build dependencies.
  * Mark qttools5-dev-tools as M-A: same. The package is coinstallable and
    files shipped in /usr/share/qt5/ are really architecture-independent.
  * Make qttools5-dev depend upon qttools5-dev-tools (Closes: #835295).
    qtttools5-dev ships CMake files that both set variables for building
    against the libs shipped in it and to use some of the tools shipped by
    qttools5-dev-tools. If at some later point we need to break this
    relationship the easiest way would be to split qttools5-dev-tools
    into the necessary parts.
    Thanks Harald Sitter for the bug report and the patch.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 25 Oct 2016 19:12:23 -0300

qttools-opensource-src (5.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.7.0.
  * Install upstream manpages for lrelease and lupdate.
  * Update debian/copyright.
  * Drop lrelease-zlib.patch. We do not link with libQt5Bootstrap.a, and the
    build succeeds without it.
  * Update symbols files from amd64 build log.
  * Drop libdouble-conversion-dev build-dependency (closes: #802153).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 08 Jul 2016 13:32:04 +0300

qttools-opensource-src (5.6.1-4) unstable; urgency=medium

  * Do not install the qwebview plugin on archs that do not have qtwebkit
    support (Closes: #840693).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 25 Oct 2016 13:11:53 -0300

qttools-opensource-src (5.6.1-3) unstable; urgency=medium

  * Do not build with webkit support on m68k and sh4 (Closes: #840693).
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 16 Oct 2016 19:18:17 -0300

=== debian/control ===
--- 
+++ 
@@ -8,18 +8,17 @@
            Felix Geyer <fgeyer@debian.org>,
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>
-Build-Depends: debhelper (>= 9),
-               libdouble-conversion-dev,
-               libqt5opengl5-dev (>= 5.6.1+dfsg~),
-               libqt5sql5-sqlite (>= 5.6.1+dfsg~),
-               libqt5webkit5-dev (>= 5.6.1+dfsg~),
+Build-Depends: debhelper (>= 9.20160114~),
+               libqt5opengl5-dev (>= 5.7.1+dfsg~),
+               libqt5sql5-sqlite (>= 5.7.1+dfsg~),
+               libqt5webkit5-dev (>= 5.7.1+dfsg~) [!m68k !sh4],
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.6.1+dfsg~),
-               qtdeclarative5-private-dev (>= 5.6.1~),
+               qtbase5-private-dev (>= 5.7.1+dfsg~),
+               qtdeclarative5-private-dev (>= 5.7.1~20161021~),
                zlib1g-dev
-Build-Depends-Indep: qtbase5-doc-html (>= 5.6.1+dfsg~)
+Build-Depends-Indep: qtbase5-doc-html (>= 5.7.1+dfsg~)
 Standards-Version: 3.9.8
-Homepage: http://qt-project.org/
+Homepage: https://www.qt.io/developers/
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qttools.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qttools.git
 
@@ -91,6 +90,7 @@
          libqt5designercomponents5 (= ${binary:Version}),
          libqt5help5 (= ${binary:Version}),
          qtbase5-dev,
+         qttools5-dev-tools (= ${binary:Version}),
          ${misc:Depends}
 Description: Qt 5 tools development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -114,13 +114,12 @@
 
 Package: qttools5-dev-tools
 Architecture: any
+Multi-Arch: same
 Section: devel
 Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
 Recommends: libqt5sql5-sqlite
-Breaks: qtbase5-dev-tools (<< 5.6.0~),
-        qttools5-dev (<< 5.5.0-2~)
-Replaces: qtbase5-dev-tools (<< 5.6.0~),
-          qttools5-dev (<< 5.5.0-2~)
+Breaks: qtbase5-dev-tools (<< 5.6.0~), qttools5-dev (<< 5.5.0-2~)
+Replaces: qtbase5-dev-tools (<< 5.6.0~), qttools5-dev (<< 5.5.0-2~)
 Description: Qt 5 development tools
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -145,37 +144,6 @@
  is its rich set of widgets that provide standard GUI functionality.
  .
  This package contains examples of the Qt 5 tools module.
-
-Package: qttools5-dbg
-Architecture: any
-Multi-Arch: same
-Priority: extra
-Section: debug
-Depends: libqt5clucene5 (= ${binary:Version}),
-         libqt5designer5 (= ${binary:Version}),
-         libqt5designercomponents5 (= ${binary:Version}),
-         libqt5help5 (= ${binary:Version}),
-         ${misc:Depends}
-Description: Qt 5 tools debugging symbols
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the debugging symbols for the Qt 5 tools and tools
- libraries.
-
-Package: qttools5-examples-dbg
-Architecture: any
-Multi-Arch: same
-Priority: extra
-Section: debug
-Depends: qttools5-dbg (= ${binary:Version}),
-         qttools5-examples (= ${binary:Version}),
-         ${misc:Depends}
-Description: Qt 5 tools examples debugging symbols
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the debugging symbols for the Qt 5 tools examples.
 
 Package: qttools5-doc
 Priority: extra

=== debian/rules ===
--- 
+++ 
@@ -10,10 +10,13 @@
 export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
 export QT_SELECT := qt5
 
+# Archs that do not build depend on QtWebkit do not ship qwebview.
+no_qwebview_archs := sh4 m68k
+
 %:
 	dh $@ --with pkgkde_symbolshelper --parallel
 
-# We override qmake until https://bugreports.qt-project.org/browse/QTBUG-30735
+# We override qmake until https://bugreports.qt.io/browse/QTBUG-30735
 # gets solved (FTBFS with -nocache).
 override_dh_auto_configure:
 	qmake 
@@ -21,6 +24,7 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -fv .qmake.cache
+	rm -fv debian/qttools5-dev-tools.install
 
 override_dh_auto_build-indep:
 	cd src; qmake
@@ -44,10 +48,15 @@
 	dh_auto_build -- INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs
 
 override_dh_install:
+ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(no_qwebview_archs)))
+	grep -v qwebview debian/qttools5-dev-tools.install.in >> debian/qttools5-dev-tools.install
+else
+	cp debian/qttools5-dev-tools.install.in debian/qttools5-dev-tools.install
+endif
 	dh_install --fail-missing
 
 override_dh_strip:
-	dh_strip -pqttools5-examples --dbg-package=qttools5-examples-dbg
-	dh_strip --remaining-packages --dbg-package=qttools5-dbg
+	dh_strip -pqttools5-examples --dbgsym-migration='qttools5-examples-dbg (<< 5.7.1-1~)'
+	dh_strip --remaining-packages --dbgsym-migration='qttools5-dbg (<< 5.7.1-1~)'
 
 override_dh_auto_test-indep:
